package models

import (
	"encoding/json"
	"io/ioutil"
	"os"

	"github.com/gofiber/fiber/v2"
)

type MenuSection struct {
	Section string      `json:"section"`
	Items   []MenuItems `json:"items"`
}

type MenuItems struct {
	Item string `json:"item"`
	Path string `json:"path"`
}

func MenuGets(c *fiber.Ctx) error {
	var menu []MenuSection
	jsonFile, err := os.Open("menu.json")
	if err != nil {
		return c.Status(404).JSON(fiber.Map{"errors": []string{"Not found"}})
	}
	byteValue, err := ioutil.ReadAll(jsonFile)
	if err != nil {
		return c.Status(200).JSON(fiber.Map{"errors": []string{"Unexpected Error"}})
	}
	json.Unmarshal(byteValue, &menu)

	defer jsonFile.Close()

	return c.JSON(menu)
}
