package models

import (
	"crypto/md5"
	"encoding/hex"

	"gorm.io/gorm"
)

type User struct {
	gorm.Model
	Login         string `json:"login"`
	Password      string `json:"password"`
	Name          string `json:"name"`
	OauthProvider string `json:"oauth_provider"` // column name is `oauth_provider`
}

func (User) TableName() string {
	return "users"
}

func (u *User) BeforeSave(tx *gorm.DB) (err error) {
	var model User
	tx.Find(&model, u.ID)
	if model.Password != u.Password {
		hash := md5.Sum([]byte(u.Password))
		u.Password = hex.EncodeToString(hash[:])
	}
	return
}
