package oauth

import (
	"golang.org/x/oauth2"
	"golang.org/x/oauth2/facebook"
	"golang.org/x/oauth2/google"
)

type oauth2Config struct {
	Config      *oauth2.Config
	UserInfoURL string
	FieldID     string
}

// Google Account config
var confGA = oauth2Config{Config: &oauth2.Config{
	ClientID:     "000000000000-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.apps.googleusercontent.com",
	ClientSecret: "************************",
	RedirectURL:  "https://yourdomain.com/oauth/ga/login",
	Scopes: []string{
		"email",
		"profile",
		"https://www.googleapis.com/auth/userinfo.profile",
		"https://www.googleapis.com/auth/userinfo.email",
	},
	Endpoint: google.Endpoint,
},
	UserInfoURL: "https://openidconnect.googleapis.com/v1/userinfo",
	FieldID:     "sub",
}

// Facebook config
var confFB = oauth2Config{Config: &oauth2.Config{
	ClientID:     "000000000000000",
	ClientSecret: "********************************",
	RedirectURL:  "https://yourdomain.com/oauth/fb/login",
	Scopes: []string{
		"email",
	},
	Endpoint: facebook.Endpoint,
},
	UserInfoURL: "https://graph.facebook.com/me/",
	FieldID:     "name",
}

var oAuthConfig = map[string]oauth2Config{"ga": confGA, "fb": confFB}
