package oauth

import (
	"context"
	"encoding/json"
	"fmt"
	"io/ioutil"
)

func GetAuthURI(provider string) string {
	return oAuthConfig[provider].Config.AuthCodeURL("state")
}

func CheckAuth_GetUserID(authCode string, code string, provider string) string {
	cfg := oAuthConfig[provider]
	var NoContext = context.TODO()

	tok, err := cfg.Config.Exchange(NoContext, code)
	if err != nil {
		fmt.Println(err)
		return ""
	}

	client := cfg.Config.Client(NoContext, tok)
	response, _ := client.Get(cfg.UserInfoURL)
	defer response.Body.Close()

	contents, _ := ioutil.ReadAll(response.Body)
	user_info := map[string]string{}
	json.Unmarshal([]byte(string(contents)), &user_info)

	return user_info[cfg.FieldID]
}
